Zum Hauptinhalt springen
GET
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
budget
/
totals
Retrieve budget
curl --request GET \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/budget/totals \
  --header 'Authorization: Bearer <token>'
{
  "budgetItems": [
    {
      "amount": 123,
      "createdAt": 123,
      "id": "<string>",
      "name": "<string>",
      "order": 123,
      "updatedAt": 123,
      "description": "<string>"
    }
  ],
  "currencyCode": "AED",
  "spendItems": [
    {
      "amount": 123,
      "createdAt": 123,
      "id": "<string>",
      "name": "<string>",
      "order": 123,
      "updatedAt": 123,
      "description": "<string>"
    }
  ],
  "budgetTotal": 123,
  "remainingBudget": 123,
  "spendTotal": 123
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

campaignGuid
string
erforderlich

The unique identifier of the campaign for which the budget and spending totals are being retrieved.

Antwort

successful operation

budgetItems
object[]
erforderlich

An array of budget items associated with the campaign. Each item is represented by a PublicBudgetItem object.

currencyCode
enum<string>
erforderlich

The currency code used for budget and spending amounts. Valid values include standard currency codes such as 'USD', 'EUR', 'JPY', etc.

Verfügbare Optionen:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UZS,
VEF,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XBA,
XBB,
XBC,
XBD,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWL
spendItems
object[]
erforderlich

An array of spend items associated with the campaign. Each item is represented by a PublicSpendItem object.

budgetTotal
number

The total budget amount for the campaign, represented as a number.

remainingBudget
number

The remaining budget for the campaign after spending, represented as a number.

spendTotal
number

The total amount spent for the campaign, represented as a number.

Last modified on April 9, 2026